import { defineStore } from "pinia";

const useHomeStore = defineStore('Home', {
    state: () => {
        return {
            Doors: Array<any>(
                {
                    name: 'Wrought Iron Doors',
                    top: { detail: new URL("../../assets/img/Door/01/01.jpg", import.meta.url).href, name: 'Wrought Iron Doors' },
                    footer: { detail: new URL("../../assets/img/Door/01/02.jpg", import.meta.url).href, name: 'Wrought Iron Doors' },
                    footer1: { detail: new URL("../../assets/img/Door/01/03.jpg", import.meta.url).href, name: 'Wrought Iron Doors' },
                    footer2: { detail: new URL("../../assets/img/Door/01/04.jpg", import.meta.url).href, name: 'Wrought Iron Doors' }
                }, {
                name: 'Steel Security Doors',
                top: { detail: new URL("../../assets/img/Door/02/01.jpg", import.meta.url).href, name: 'Steel Security Doors' },
                footer: { detail: new URL("../../assets/img/Door/02/02.jpg", import.meta.url).href, name: 'Steel Security Doors' },
                footer1: { detail: new URL("../../assets/img/Door/02/03.jpg", import.meta.url).href, name: 'Steel Security Doors' },
                footer2: { detail: new URL("../../assets/img/Door/02/04.jpg", import.meta.url).href, name: 'Steel Security Doors' }
            }, {
                name: 'Pivot Entrance Doors',
                top: { detail: new URL("../../assets/img/Door/03/01.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' },
                footer: { detail: new URL("../../assets/img/Door/03/02.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' },
                footer1: { detail: new URL("../../assets/img/Door/03/03.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' },
                footer2: { detail: new URL("../../assets/img/Door/03/04.jpg", import.meta.url).href, name: 'Pivot Entrance Doors' }
            }, {
                name: 'Wooden Internal Doors',
                top: { detail: new URL("../../assets/img/Door/04/01.jpg", import.meta.url).href, name: 'Wooden Internal Doors' },
                footer: { detail: new URL("../../assets/img/Door/04/02.jpg", import.meta.url).href, name: 'Wooden Internal Doors' },
                footer1: { detail: new URL("../../assets/img/Door/04/03.jpg", import.meta.url).href, name: 'Wooden Internal Doors' },
                footer2: { detail: new URL("../../assets/img/Door/04/04.jpg", import.meta.url).href, name: 'Wooden Internal Doors' }
            }, {
                name: 'Fire Doors',
                top: { detail: new URL("../../assets/img/Door/05/01.jpg", import.meta.url).href, name: 'Fire Doors' },
                footer: { detail: new URL("../../assets/img/Door/05/02.jpg", import.meta.url).href, name: 'Fire Doors' },
                footer1: { detail: new URL("../../assets/img/Door/05/03.jpg", import.meta.url).href, name: 'Fire Doors' },
                footer2: { detail: new URL("../../assets/img/Door/05/04.jpg", import.meta.url).href, name: 'Fire Doors' }
            }, {
                name: 'Sliding Doors',
                top: { detail: new URL("../../assets/img/Door/06/01.jpg", import.meta.url).href, name: 'Sliding Doors' },
                footer: { detail: new URL("../../assets/img/Door/06/02.jpg", import.meta.url).href, name: 'Sliding Doors' },
                footer1: { detail: new URL("../../assets/img/Door/06/03.jpg", import.meta.url).href, name: 'Sliding Doors' },
                footer2: { detail: new URL("../../assets/img/Door/06/04.jpg", import.meta.url).href, name: 'Sliding Doors' }
            }, {
                name: 'Hanging Sliding Doors',
                top: { detail: new URL("../../assets/img/Door/07/01.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' },
                footer: { detail: new URL("../../assets/img/Door/07/02.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' },
                footer1: { detail: new URL("../../assets/img/Door/07/03.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' },
                footer2: { detail: new URL("../../assets/img/Door/07/04.jpg", import.meta.url).href, name: 'Hanging Sliding Doors' }
            }, {
                name: 'Fold Sliding Doors',
                top: { detail: new URL("../../assets/img/Door/08/01.jpg", import.meta.url).href, name: 'Fold Sliding Doors' },
                footer: { detail: new URL("../../assets/img/Door/08/02.jpg", import.meta.url).href, name: 'Fold Sliding Doors' },
                footer1: { detail: new URL("../../assets/img/Door/08/03.jpg", import.meta.url).href, name: 'Fold Sliding Doors' },
                footer2: { detail: new URL("../../assets/img/Door/08/04.jpg", import.meta.url).href, name: 'Fold Sliding Doors' }
            },
            ),
            Cabinet: Array<any>(
                {
                    name: 'Kitchen Cabinet',
                    children: [
                        { detail: new URL("../../assets/img/Kitchen/02.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                        { detail: new URL("../../assets/img/Kitchen/03.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                        { detail: new URL("../../assets/img/Kitchen/04.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                    ]
                },
                {
                    name: 'Kitchen Sinks/Faucets',
                    children: [
                        { detail: new URL("../../assets/img/Kitchen/05.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                    ]
                }
            ),
            Products: Array<any>(
                {
                    name: 'Raillings&stairs',
                    position: '3',
                    banner1: { detail: new URL("../../assets/img/railling/01.jpg", import.meta.url).href, name: 'Raillings&stairs', title: 'Safety, Easy Install Railings and Stairs' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/railling/02.jpg", import.meta.url).href, name: 'Raillings&stairs' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/railling/icon01.png", import.meta.url).href, name: 'Safety', title: 'Safety' },
                        { detail: new URL("../../assets/img/railling/icon02.png", import.meta.url).href, name: 'Easy Install', title: 'Easy Install' },
                        { detail: new URL("../../assets/img/railling/icon03.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/railling/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'Railings',
                            message: {
                                title: 'Customized Railing',
                                Application: 'Application: Balcony, deck, stairs, bridge',
                                patiosMaterials: 'patiosMaterials: ASTM Standard Sus304,Sus316,Sus316L,and Sus2205',
                            },
                            banner: { detail: new URL('../../assets/img/railling/railing01.jpg', import.meta.url).href, name: 'railing' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/railling/railing02.jpg', import.meta.url).href, name: 'Frameless Glass Railing', title: 'Frameless Glass Railing' },
                                { detail: new URL('../../assets/img/railling/railing03.jpg', import.meta.url).href, name: 'Wrought Iron Railing', title: 'Wrought Iron Railing' },
                                { detail: new URL('../../assets/img/railling/railing04.jpg', import.meta.url).href, name: 'Cable Wire Railing', title: 'Cable Wire Railing' },
                                { detail: new URL('../../assets/img/railling/railing05.jpg', import.meta.url).href, name: 'Led Glass Railing', title: 'Led Glass Railing' },
                                { detail: new URL('../../assets/img/railling/railing06.jpg', import.meta.url).href, name: '304/316 Stainless Steel Railing', title: '304/316 Stainless Steel Railing' },
                                { detail: new URL('../../assets/img/railling/railing07.jpg', import.meta.url).href, name: 'PVC Railing', title: 'PVC Railing' },
                            )
                        },
                        {
                            name: 'Stairs',
                            message: {
                                title: 'Customized Staircase',
                                mintitle: 'Each product is a unique handmade boutique',
                                Styles: 'Styles: Straight Stairs, Spiral Stairs, Curved Stairs, LShape Stairs, U Shape Stairs, Bifurcated Stairs, Cantile-ver / Floating Stairs',
                            },
                            banner: { detail: new URL('../../assets/img/railling/stairs01.jpg', import.meta.url).href, name: 'stairs' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/railling/stairs02.jpg', import.meta.url).href, name: 'Spiral Stairs', title: 'Spiral Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs03.jpg', import.meta.url).href, name: 'Floating Stairs', title: 'Floating Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs04.jpg', import.meta.url).href, name: 'Mono Stringer', title: 'Mono Stringer' },
                                { detail: new URL('../../assets/img/railling/stairs05.jpg', import.meta.url).href, name: 'Double Beam Stairs', title: 'Double Beam Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs06.jpg', import.meta.url).href, name: 'Curved Stairs', title: 'Curved Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs07.jpg', import.meta.url).href, name: 'Customized Design', title: '' },
                            )
                        }
                    )
                },
                {
                    name: 'Sanitary Wares',
                    position: '6',
                    banner1: { detail: new URL("../../assets/img/sanitary/01.jpg", import.meta.url).href, name: 'Sanitary Wares', title: 'Your design of comfortable customized bathroom' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/sanitary/02.jpg", import.meta.url).href, name: 'Sanitary Wares' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/sanitary/icon01.png", import.meta.url).href, name: 'Comfortable', title: 'Comfortable' },
                        { detail: new URL("../../assets/img/sanitary/icon02.png", import.meta.url).href, name: 'Smart', title: 'Smart' },
                        { detail: new URL("../../assets/img/sanitary/icon03.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/sanitary/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'LED Mirror',
                            banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'LED Mirror' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/mirror/01.jpg', import.meta.url).href, name: 'Rectangle Bathroom LED Mirror', title: 'Rectangle Bathroom LED Mirror' },
                                { detail: new URL('../../assets/img/sanitary/mirror/02.jpg', import.meta.url).href, name: 'Round Bathroom LED Mirror', title: 'Round Bathroom LED Mirror' },
                            ),
                            others1: { detail: new URL('../../assets/img/sanitary/mirror/03.jpg', import.meta.url).href, name: 'Cute Shaped Bathroom LED Mirror', title: 'Cute Shaped Bathroom LED Mirror' },
                            others2: { detail: new URL('../../assets/img/sanitary/mirror/04.jpg', import.meta.url).href, name: 'LED Mirror Optional functions', title: 'LED Mirror Optional functions' }
                        },
                        {
                            name: 'Wooden Frame Mirror',
                            banner: { detail: new URL('../../assets/img/sanitary/wooden/bgc1.jpg', import.meta.url).href, name: 'Customized service in different shapes', title: 'Customized service in different shapes' },
                            banner2: { detail: new URL('../../assets/img/sanitary/wooden/bgc2.jpg', import.meta.url).href, name: 'Customized service in different shapes' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/wooden/01.jpg', import.meta.url).href, name: 'Rectangle Mirror', title: 'Rectangle Mirror' },
                                { detail: new URL('../../assets/img/sanitary/wooden/02.jpg', import.meta.url).href, name: 'Square Mirror', title: 'Square Mirror' },
                                { detail: new URL('../../assets/img/sanitary/wooden/03.jpg', import.meta.url).href, name: 'Irregular Shape Mirror', title: 'Irregular Shape Mirror' },
                            )
                        },
                        {
                            name: 'Faucets',
                            banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'More colors' },
                            banner1: { detail: new URL('../../assets/img/sanitary/Faucets/01.jpg', import.meta.url).href, name: 'Shower Faucet', title: 'Shower Faucet' },
                            banner2: { detail: new URL('../../assets/img/sanitary/Faucets/08.jpg', import.meta.url).href, name: 'Bathtub Faucet', title: 'Bathtub Faucet' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/Faucets/02.jpg', import.meta.url).href, name: 'Single-Hole Basin Faucet', title: 'Single-Hole Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/03.jpg', import.meta.url).href, name: 'Waterfall Basin Faucet', title: 'Waterfall Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/04.jpg', import.meta.url).href, name: 'Sensor Faucet', title: 'Sensor Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/05.jpg', import.meta.url).href, name: 'Wall-Mounted Basin Faucet', title: 'Wall-Mounted Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/06.jpg', import.meta.url).href, name: '8 Widespread Basin Faucet', title: '8 Widespread Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/07.jpg', import.meta.url).href, name: '4 Centerset Basin Faucet', title: '4 Centerset Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/09.jpg', import.meta.url).href, name: 'Bathtub Faucet', title: 'Bathtub Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/10.jpg', import.meta.url).href, name: 'Bathroom Accessories', title: 'Bathroom Accessories' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/11.jpg', import.meta.url).href, name: 'Accessories', title: 'Accessories' },
                            ),
                            others2: {
                                title: 'More colors',
                                mintitle: 'can better match your house style',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Faucets/12.jpg', import.meta.url).href, name: 'colors', title: 'colors' },
                                    { detail: new URL('../../assets/img/sanitary/Faucets/13.jpg', import.meta.url).href, name: 'colors', title: 'colors' },
                                )
                            }
                        },
                        {
                            name: 'Basins',
                            banner: { detail: new URL('../../assets/img/sanitary/Basins/bgc.jpg', import.meta.url).href, name: 'Basins' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/Basins/01.jpg', import.meta.url).href, name: 'COUNTERTOP Basins' },
                                { detail: new URL('../../assets/img/sanitary/Basins/02.jpg', import.meta.url).href, name: 'WALL-HUNG Basins' },
                                { detail: new URL('../../assets/img/sanitary/Basins/03.jpg', import.meta.url).href, name: 'PEDESTAL Basins' },
                                { detail: new URL('../../assets/img/sanitary/Basins/04.jpg', import.meta.url).href, name: 'UNDERCOUNTER Basins' },
                            ),
                            others2: {
                                title: 'More styles',
                                mintitle: 'can better match your house design',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Basins/other01.jpg', import.meta.url).href, name: 'Artificial stone basin', title: 'Artificial stone basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other02.jpg', import.meta.url).href, name: 'Concrete basin', title: 'Concrete basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other03.jpg', import.meta.url).href, name: 'Feather edge', title: 'Feather edge' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other04.jpg', import.meta.url).href, name: 'Stainless steel basin', title: 'Stainless steel basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other05.jpg', import.meta.url).href, name: 'Glass basin', title: 'Glass basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other06.jpg', import.meta.url).href, name: 'Marble basin', title: 'Marble basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other07.jpg', import.meta.url).href, name: 'Art basin', title: 'Art basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other08.jpg', import.meta.url).href, name: 'Wall hung basin', title: 'Wall hung basin' },
                                )
                            },
                            icons: {
                                title: 'BEST QUALITY',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon01.png', import.meta.url).href, name: 'Integrated Moulding' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon02.png', import.meta.url).href, name: 'Healthy Material' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon03.png', import.meta.url).href, name: 'Gel Coating' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon04.png', import.meta.url).href, name: 'No easy to crack' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon05.png', import.meta.url).href, name: 'Easy to clean' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon06.png', import.meta.url).href, name: 'Water Proof' },
                                )
                            }
                        },
                        {
                            name: 'Toilets',
                            banner: { detail: new URL("../../assets/img/sanitary/toilet/01.jpg", import.meta.url).href, name: 'Smart Toilet' },
                            others: Array<any>(
                                { detail: new URL("../../assets/img/sanitary/toilet/other01.jpg", import.meta.url).href, name: 'Toilet' },
                                { detail: new URL("../../assets/img/sanitary/toilet/other02.jpg", import.meta.url).href, name: 'Toilet' },
                                { detail: new URL("../../assets/img/sanitary/toilet/other03.jpg", import.meta.url).href, name: 'Toilet' },
                                { detail: new URL("../../assets/img/sanitary/toilet/other04.jpg", import.meta.url).href, name: 'Toilet' },
                            ),
                            styles: {
                                title: 'More styles',
                                mintitle: 'can better match your house design',
                                children: Array<any>(
                                    { detail: new URL("../../assets/img/sanitary/toilet/style01.png", import.meta.url).href, name: 'One Piece Toilet', title: 'One Piece Toilet' },
                                    { detail: new URL("../../assets/img/sanitary/toilet/style02.png", import.meta.url).href, name: 'One Piece Toilet', title: 'One Piece Toilet' },
                                    { detail: new URL("../../assets/img/sanitary/toilet/style03.png", import.meta.url).href, name: 'Wall Hung Toilet', title: 'Wall Hung Toilet' },
                                )
                            }
                        },
                        {
                            name: 'Tubs',
                            banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'Tubs' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/tubs/01.jpg', import.meta.url).href, name: 'Freestanding Bath Tub', title: 'Freestanding Bath Tub' },
                                { detail: new URL('../../assets/img/sanitary/tubs/02.jpg', import.meta.url).href, name: 'Freestanding Bath Tub with Supporting Foot', title: 'Freestanding Bath Tub with Supporting Foot' },
                                { detail: new URL('../../assets/img/sanitary/tubs/03.jpg', import.meta.url).href, name: 'Smart Constant Temperature Massage BathTub', title: 'Smart Constant Temperature Massage BathTub' },
                                { detail: new URL('../../assets/img/sanitary/tubs/04.jpg', import.meta.url).href, name: 'Drop in Bathtub', title: 'Drop in Bathtub' },
                                { detail: new URL('../../assets/img/sanitary/tubs/05.jpg', import.meta.url).href, name: 'SPA tub/Jacuzzi', title: 'SPA tub/Jacuzzi' },
                                { detail: new URL('../../assets/img/sanitary/tubs/06.jpg', import.meta.url).href, name: 'swim SPA', title: 'swim SPA' },
                            ),
                            others2: {
                                title: 'VARIOUS STYLES',
                                mintitle: 'BATHROOMS THAT MEET DIFFERENT HOUSEHOLD STYLES',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/tubs/001.jpg', import.meta.url).href, name: 'HD-1001', title: 'HD-1001' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/002.jpg', import.meta.url).href, name: 'HD-1004', title: 'HD-1004' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/003.jpg', import.meta.url).href, name: 'HD-1017', title: 'HD-1017' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/004.jpg', import.meta.url).href, name: 'HD-1020', title: 'HD-1020' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/005.jpg', import.meta.url).href, name: 'HD-1021', title: 'HD-1021' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/006.jpg', import.meta.url).href, name: 'HD-1030', title: 'HD-1030' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/007.jpg', import.meta.url).href, name: 'HD-1037', title: 'HD-1037' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/008.jpg', import.meta.url).href, name: 'CUSTOMIZED', title: 'CUSTOMIZED' },
                                )
                            },
                            icons: {
                                title: 'BEST QUALITY',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon01.png', import.meta.url).href, name: 'Healthy Material' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon02.png', import.meta.url).href, name: 'Easy to clean' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon03.png', import.meta.url).href, name: 'Not easy to crack' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon04.png', import.meta.url).href, name: 'Durable Test' },
                                )
                            }
                        },
                        {
                            name: 'Shower Rooms',
                            others: {
                                title: 'Shower Enclosure',
                                title2: 'More Available Finishes',
                                icontitle: 'High Quality',
                                mintitle: 'can better match your house design',
                                banner: { detail: new URL('../../assets/img/sanitary/Shower/01.jpg', import.meta.url).href, name: 'Shower Rooms' },
                                colors: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color1.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color2.png', import.meta.url).href, name: 'Polished Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color3.png', import.meta.url).href, name: 'Brushed Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color4.png', import.meta.url).href, name: 'Brushed Nickel' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color5.png', import.meta.url).href, name: 'Matte Black' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color6.png', import.meta.url).href, name: 'Satin Gold' },
                                ),
                                icons: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/icon/icon01.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/icon/icon02.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/icon/icon03.png', import.meta.url).href, name: 'Polished Chrome' },
                                ),
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/02.jpg', import.meta.url).href, name: 'Frameless Pivot Glass Shower Doors', title: 'Frameless Pivot Glass Shower Doors' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/03.jpg', import.meta.url).href, name: 'Shower Cabin', title: 'Shower Cabin' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/04.jpg', import.meta.url).href, name: 'All In One Shower Room', title: 'All In One Shower Room' },
                                )
                            }
                        },
                        {
                            name: 'Shower Columns/Panel',
                            children: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/panel/01.jpg', import.meta.url).href, name: 'Shower Columns', title: 'Shower Columns' },
                                { detail: new URL('../../assets/img/sanitary/panel/02.jpg', import.meta.url).href, name: 'Shower Panel', title: ' Shower Panel' },
                                { detail: new URL('../../assets/img/sanitary/panel/03.jpg', import.meta.url).href, name: 'Wall Mounted Shower', title: 'Wall Mounted Shower' },
                            ),
                            others: {
                                title: 'Shower Fixtures',
                                title2: 'More Available Finishes',
                                icontitle: 'High Quality',
                                mintitle: 'can better match your house design',
                                colors: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color1.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color2.png', import.meta.url).href, name: 'Polished Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color3.png', import.meta.url).href, name: 'Brushed Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color4.png', import.meta.url).href, name: 'Brushed Nickel' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color5.png', import.meta.url).href, name: 'Matte Black' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color6.png', import.meta.url).href, name: 'Satin Gold' },
                                ),
                                icons: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon01.png', import.meta.url).href, name: 'Easy Switch' },
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon02.png', import.meta.url).href, name: 'Eacy Fit' },
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon03.png', import.meta.url).href, name: 'Eco Lead Free Material' },
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon04.png', import.meta.url).href, name: 'SPA Experience' },
                                )
                            }
                        },
                        {
                            name: 'Bathroom Cabinet',
                            tips: 'Please contact us for more design options',
                            banner: { detail: new URL('../../assets/img/sanitary/cabinet/01.jpg', import.meta.url).href, name: 'BATHROOM CABINET', title: 'BATHROOM CABINET' },
                            children: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/cabinet/02.jpg', import.meta.url).href, name: 'BATHROOM CABINET', title: 'BATHROOM CABINET' },
                                { detail: new URL('../../assets/img/sanitary/cabinet/03.jpg', import.meta.url).href, name: 'BATHROOM CABINET', title: 'BATHROOM CABINET' },
                            ),
                            others: {
                                title: 'Bathroom Cabinet',
                                desc: 'We offer a professional customization service with any different Material，surface finishes，drawer opitions and accessories.',
                                options: {
                                    title: 'Material Options',
                                    children: Array<any>(
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/01.jpg', import.meta.url).href, name: 'Chip Board', title: 'Chip Board' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/02.jpg', import.meta.url).href, name: 'MDF', title: 'MDF' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/03.jpg', import.meta.url).href, name: 'Poly Wood', title: 'Poly Wood' },
                                    )
                                },
                                finishes: {
                                    title: 'Surface Finishes',
                                    children: Array<any>(
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/finishes01.jpg', import.meta.url).href, name: 'PVC', title: 'PVC' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/finishes02.jpg', import.meta.url).href, name: 'MELANINE', title: 'MELANINE' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/finishes03.jpg', import.meta.url).href, name: 'EPOXY POWER', title: 'EPOXY POWER' },
                                    )
                                },
                                icons: {
                                    title: 'High Quality',
                                    children: Array<any>(
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon01.png', import.meta.url).href, name: 'Multilayer Solid Wood' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon02.png', import.meta.url).href, name: 'Flexible Storage' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon03.png', import.meta.url).href, name: 'Sliver Mirror' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon04.png', import.meta.url).href, name: 'Wear-Resisting' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon05.png', import.meta.url).href, name: 'Storage' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon06.png', import.meta.url).href, name: 'Collocation' },
                                    )
                                }
                            }
                        },
                        {
                            name: 'Bathroom Accessories',
                            
                        }
                    )
                }
            )
        }
    },

    actions: {

    },

    getters: {

    }
})

export default useHomeStore